
from sqlalchemy_utils import database_exists, create_database

def create_db_if_not_exists(engine, db_name):
    """
    Check if the database exists and create it if it does not.
    """
    if not database_exists(engine, db_name):
        create_database(engine, db_name)



